class Host:
    def __init__(self, host, location_group=None):
        # Accessor to the host configuration.
        self.host_id = host["host_id"]
        self.password = host["password"]
        self.proxy = host["proxy"]
        self.location_group = location_group
        self.poll_interval = 60

        # Services from get-services. Items will be pop'ed.
        self.services = None

        # Current number of running services checks.
        # The value is used to not exceed max_concurrent_checks.
        self.services_in_progress = 0

        # If both values are equal, then the data is
        # sent back to the Bloonix server.
        self.num_services = 0

        # Cache data of finished services.
        self.services_finished = []

        # Is the host itself in progress.
        self.in_progress = 0
        # Waiting in self.ready_hosts
        self.in_queue = 0

        # The last run used to re-queue each poll interval.
        self.last_run = 0

        # The variable "time_fixed" is used to fix time issues, maybe NTP.
        # If "last_run" is higher than the current time, then it's maybe
        # NTP adjust the time. In this case it's possible that a host will
        # not be checked within its interval. If the counter of time_fixed
        # is too high a host check is forced.
        self.time_fixed = 0
